Catch-Block – вопросы и ответы

96
голосов
1
ответ
Кто-нибудь знает, есть ли какой-либо инструмент или что-то подобное, чтобы заменить отдельные предложения catch с дублирующимся кодом внутри него в java с несколькими предложениями catch для удален...
3 месяца, 1 неделя назад Stefan
66
голосов
2
ответа
У меня есть программа на С# с несколькими методами с разными параметрами и разными типами возвращаемых данных, но большинство из них имеют блок try/catch с одинаковой обработкой логики исключений. ...
3 месяца, 1 неделя назад Angela
-6
голосов
3
ответа
try { try { function(a, b); } catch (Exception e) { e.printStackTrace(); throw e; } } catch (Exception e) { System.out.println("---------------------------------"); } Я делаю этот вложенный блок tr...
3 месяца, 1 неделя назад Khaled.K
87
голосов
2
ответа
Я использую Apache PDFBox для чтения некоторых файлов PDF. Когда я закончил с PDF, мне нужно выпустить документы PDF. Для этого я вызываю метод close(), который генерирует исключение. Программа так...
3 месяца, 2 недели назад kabeersvohra
77
голосов
2
ответа
ReSharper рекомендует реконструировать исключение, а затем, когда я это делаю, он говорит, что все предложение catch в любом случае избыточно и предлагает удалить его. Я использую этот код (из Meth...
3 месяца, 2 недели назад B. Clay Shannon
54
голоса
2
ответа
inputFileName = "2.txt"; outputFileName = "3.txt"; inputFile = new BufferedReader(new FileReader(inputFileName)); outputFile = new PrintWriter(new FileWriter(outputFileName)); String lineOfText = i...
3 месяца, 3 недели назад MasterCard
56
голосов
2
ответа
Бит репоста, но определенный улов-22 о недостаточной репутации означает, что я не могу прокомментировать ни один из повторяющихся потоков! (кашель от кашля) Я пытаюсь проверить блок catch try-catch...
3 месяца, 3 недели назад Danny Salvadori
56
голосов
1
ответ
Я пытаюсь сделать страницу, но есть вероятность, что некоторые EL-выражения будут генерировать некоторые исключения. Поэтому я старался в первую очередь объединить блок с помощью <c: if> таки...
3 месяца, 3 недели назад Samuele
67
голосов
1
ответ
Я столкнулся с непредвиденной проблемой, связанной с захватом исключений и генериками Java в подписях. Без дальнейших церемоний соответствующий код (объяснение следует): public class StackOverflowT...
4 месяца назад scubbo
56
голосов
4
ответа
Я попробовал этот код для входа в мой API user.post("/login", (req, res) => { let email = req.body.email; let password = req.body.password; userModel .findOne({ $and: [{ email: email }, { passwo...
4 месяца назад Jifri Valanchery
77
голосов
1
ответ
Я знаю, почему я не должен использовать открытые блоки catch так: int x = 0; try { x = GetXFromSomeplaceThatCanFail(); } catch //Possibly (Exception) or (Exception e) { //Ignore The Failure Because...
4 месяца назад Yushatak
88
голосов
4
ответа
Я знаю, что есть некоторые типы исключений, которые нельзя поймать в блоках catch, например StackOverflowException в .NET 2.0. Я хотел бы знать, какие другие исключения нецелесообразны для улова ил...
4 месяца, 1 неделя назад CShearholdt
67
голосов
2
ответа
У меня есть BackGroundWorker с циклом For Each, который находится внутри Try Catch, и мне нужно обнаружить ошибку и продолжить цикл For Each в следующем элементе. На самом деле у меня есть список д...
4 месяца, 1 неделя назад E_Blue
93
голоса
2
ответа
Ошибка Biztalk У меня есть оркестровка Biztalk. В ней у меня есть область Biztalk Scope и Catch Block, чтобы ловить ошибки, возникающие внутри области. Я могу уловить ошибку в ней всякий раз, когда...
4 месяца, 1 неделя назад Vishal Sharma
94
голоса
6
ответов
Я видел, как некоторые разработчики использовали оператор return в блоке catch. Почему/когда это будет полезной техникой для использования? EDIT: на самом деле я видел только используемое ключевое ...
10 лет, 4 месяца назад dotnetdev
86
голосов
0
ответов
Недавно я начал обсуждение raise vs. throw . Существует другой поток SO, обсуждающий этот вопрос , и эксперты рассказали об этой ситуации следующим образом: Throw and raise в значительной степени в...
7 лет, 1 месяц назад Boris Stitnicky
116
голосов
1
ответ
Когда я пытаюсь ввести логин, программа отправляет мне секцию throw и записывает что-то о неправильной ошибке synxtax '='. public bool personelEntryControl(str
3 года, 5 месяцев назад user65348
54
голоса
1
ответ
Как вы поймаете ошибку в этом случае: getStuff(): Observable<Stuff[]> { return this.http.get(url) .map((res: Response) => { return res.json() .map(item => { return { id: item.id name: i...
3 года, 1 месяц назад sreginogemoh
55
голосов
1
ответ
В сценарии Tcl я хочу поймать возврат процесса Tcl для выполнения некоторых действий по завершению. Например, мой код может быть следующим: proc X10 { a } { return [expr $a * 10] } proc procF {} { ...
5 лет, 7 месяцев назад Devos
54
голоса
0
ответов
Из руководства стиля John Papa для angularjs 1.x. Я вижу приведенную ниже реализацию для утилиты ecxeption. однако нет примера использования. Может ли кто-нибудь привести некоторые примеры использо...
3 года, 9 месяцев назад blogs4t
78
голосов
5
ответов
У меня много проблем с этим кодом. Код скомпилирован и запущен, как предполагалось, до того, как я попытался ввести код, чтобы поймать исключение. Тогда я больше не мог его компилировать. Предполож...
8 лет, 4 месяца назад Diallo Dickerson
55
голосов
1
ответ
У меня странная проблема с блоком try/catch, который я использую. У меня есть этот метод, который просто получает некоторые данные из удаленного сервиса и сохраняет его. public WFSGetCapabilitiesRe...
9 лет назад DeadPassive
78
голосов
2
ответа
MDC говорит, чтобы сделать это, но также говорит, что они считают это просто расширением FireFox: код в реальном времени: http://jsfiddle.net/vQsUX/ try { throw("InvalidNameException"); } catch (e ...
9 лет, 6 месяцев назад DarkLightA
68
голосов
1
ответ
Следующим является мой код в С#: catch(Exception ex) { ex.Data.Add("VarName", "object"); throw; } Вопрос: сделав выше, я собираюсь потерять запись, которую я добавляю в словарь данных? → как мне ка...
6 лет, 10 месяцев назад coder0h1t
92
голоса
3
ответа
В настоящее время я использую Visual Studio Express С++ 2008, и у меня есть некоторые вопросы о упорядочении блоков catch. К сожалению, я не смог найти ответ в Интернете, поэтому задаю эти вопросы ...
10 лет, 4 месяца назад Andy
55
голосов
3
ответа
Что лучше между несколькими блоками ChildException и одним блоком catch Exception ? К лучшему я имею в виду хороший способ. Проиллюстрировать: public static void main(String[] args) { System.out.pr...
8 лет, 1 месяц назад sp00m
66
голосов
2
ответа
У меня есть маршрут, который сначала нужно запросить базу данных, затем с результатами запросить другую веб-службу, а затем с этим результатом отобразить страницу. У меня есть этот поток, и я пытаю...
4 года, 1 месяц назад otusweb
55
голосов
1
ответ
Следующий сценарий powershell дает очень простой результат: try { throw "some exception" echo "check point" } catch { echo "catch" throw "some other exception" exit(-1) } echo "finish" вывод: catch...
4 года, 9 месяцев назад tsahi glik
86
голосов
3
ответа
Я создаю скрипт для получения некоторых данных из моего api: const success = (response) => { console.log(response); }; const failed = (error) => { console.log(error); }; axios.$http.get('/som...
3 года, 7 месяцев назад Jordy
68
голосов
1
ответ
Я пытаюсь перенаправить действие с одного контроллера на другой, если что-то в try-блоке идет не так. То, что я хочу достичь, - это общий способ представления пользователю взгляда, если что-то пойд...
8 лет, 7 месяцев назад Ebbe
94
голоса
2
ответа
В С# 6 вы можете сделать этот код: try { } catch (Exception e) when (e is NullReferenceException) { } catch (Exception e) when (e is UnauthorizedAccessException) { } Но чем отличается код выше и ст...
4 года, 5 месяцев назад H. Pauwelyn
102
голоса
1
ответ
Я реализую простую страницу JSP, используя JSTL 1.2 (Apache Taglibs). Страница делает следующее: <c:catch var="error"> <fmt:parseNumber var="parsedNum" value="${param.num}" /> </c:ca...
7 лет, 4 месяца назад Ilio Catallo
55
голосов
0
ответов
Во-первых, проблема возникает под симулятором ios (все виртуальные устройства). Зависимости : @remobile/react-native-toast ":" ^ 1.0.7 "" response-native ":" 0.56.0 "... Описание проблемы : Я имити...
1 год, 9 месяцев назад Edd M
87
голосов
2
ответа
Просто путайте, почему поток не достигает блока catch. Я понимаю, что всякий раз, когда возникло исключение, будет OnError метод OnError , но не должно возникнуть исключение при ToObservable ? Толь...
8 лет, 5 месяцев назад Sandbox
55
голосов
1
ответ
У меня есть следующий код, который представляет собой простую службу, которая возвращается на сервер для получения некоторых данных: import { Injectable } from '@angular/core'; import { Action } fr...
3 года, 11 месяцев назад Werner Swart
85
голосов
2
ответа
Я хочу расширить общий прототип catch объекта Promise, чтобы я мог автоматически регистрировать ошибку, чтобы исключить мониторинг приложения при каждом обращении к блоку catch. Но у меня возникают...
1 год, 4 месяца назад Sebsemillia
55
голосов
4
ответа
Мне было интересно, если бы был какой-либо уверенный подход для использования в секции catch блока try-catch при разработке операций CRUD (особенно когда вы используете базу данных в качестве источ...
10 лет, 2 месяца назад odiseh
135
голосов
5
ответов
Возможные дубликаты: Почему пустые блоки блокировки плохой идеей? Есть ли какие-либо обоснованные причины когда-либо игнорировать пойманно
9 лет, 6 месяцев назад bniwredyc
116
голосов
2
ответа
Я заметил, что тост не отображается, когда он используется внутри блока catch. Кто-нибудь знает, как показывать тосты при ловле исключений? Пример: try { // try to open a file } catch (FileNotFound...
9 лет, 8 месяцев назад cody
96
голосов
3
ответа
Я написал фрагмент кода, чтобы catch конкретное exception с помощью этой ссылки . Это похоже на: catch (SQLException sqle) { // TODO Auto-generated catch block String sqlMessage = sqle.getMessage()...
7 лет, 11 месяцев назад Mistu4u
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема